#ifndef _DACIO_H
#define _DACIO_H

/* Platform specific / serial port functions */
extern "C" int  SerialOpenPort(char *port);     // 9600
extern "C" int  SerialOpenPortFast(TCHAR *port); // 115200
extern "C" int  SerialOpenPortBad(TCHAR *port);  // 19200
extern "C" void SerialClosePort();
extern "C" int  SerialWriteCh(int byte);
extern "C" unsigned int SerialReadCh(void);

extern "C" int SerialWriteCh(int byte);      // returns 1 for success
extern "C" unsigned int SerialReadCh(void);  // returns character or -1 for error

/* Common functions */
extern "C" int WriteDigitalPORT(char portch, int value);
extern "C" int SetDigitalPORT(char portch, int value);
extern "C" int ReadDigitalPORT(char portch);
extern "C" int Get_PORTA_Value(int ch);

extern "C" int Get_ModuleID(void);
extern "C" int Get_ModuleSoftwareVersion(void);
extern "C" int Set_RED_LED(int state);

extern "C" void pause(void);
extern "C" void short_delay(void);
extern "C" void SerialWriteString(char *s);

#endif


